### Hierarchy

- AsyncHook

## Index

### Methods

- disable
- enable

## Methods

### disable

- disable(): this

- - Defined in node_modules/@types/node/async_hooks.d.ts:61

  Disable the callbacks for a given AsyncHook instance from the global pool of AsyncHook callbacks to be executed. Once a hook has been disabled it will not be called again until enabled.

  #### Returns this

### enable

- enable(): this

- - Defined in node_modules/@types/node/async_hooks.d.ts:56

  Enable the callbacks for a given AsyncHook instance. If no callbacks are provided enabling is a noop.

  #### Returns this

Generated using TypeDoc